HomeMesosphereNo notifications. 4 unresolved issues.

networking docs rewrite
ClosedAll Users

Authored by jdef on Mar 21 2017, 4:48 PM.

Diff Detail

Repository
rMARATHON marathon
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
There are a very large number of changes, so older changes are hidden. Show Older Changes
sascala added inline comments.Mar 24 2017, 7:18 PM
changelog.md
9

remove "ever"

11

"The following deprecated fields..."

19

"Marathon clients that consume these deprecated fields..."

28

I'm not sure how to create a redirect on the marathon GH site, but we should add one. I believe the ports docs are pretty popular.

44

"we will publish"

docs/docs/networking.md
11

"...will be dropped completely in a future release, in accordance with Marathon's API deprecation policy"

Is there a link we could add?

13

comma after "cluster"

26

"Older MESOS IP/CT app definitions were not required to declare an ipAddress/networkName. It is now required in Marathon v1.5.

27

Migration
End with a period.

28

At migration time, legacy MESOS IP/CT app definitions are configured to use the networked name defined by the migration-specific environment variable above.

30
  • If the environment variable is unset, migration uses the network name defined by the --default_network_name flag.
    • If both the environment variable and flag are unset, app migration will fail.
43

capitalize Docker

46

Replace ";" with "."

48

capitalize Docker

50

capitalize Docker

76

Note: Only host ports...

131

Note: When...

133

Note:

135

Same as above

148

comma after 0

156

...portMapptings. These labels are sent...

158

Begin bullet with capital letter, finish with period.

170

If your app uses Docker containers, it is not necessary...

198

comma after "ports"

212

mention this requirement above, too?

346

Remove "It is important to note that"

347

comma after "mapping"

docs/docs/task-environment-vars.md
25

comma after containerPort

28–30

"...resource. One is..."

33

comma after "addition"

sascala requested changes to this revision.Mar 24 2017, 7:19 PM
jdef updated this revision to Diff 2389.Mar 24 2017, 10:05 PM
jdef marked 31 inline comments as done.
changelog.md
5

disagree with suggestion unless you think that uris is a networking field.

28

i'm renaming the file back to it's original form, as per MV's request

docs/docs/networking.md
11

we don't have a policy written yet. i'll link to the JIRA tracker

119

correct. any change needed here?

212

to me that "stutters" since the examples and text are both small and adjacent.

docs/docs/ports.md
2

it was already there. i've updated it

2

i'll rename (and re-title) the file back to original

jenkins requested changes to this revision.Mar 24 2017, 10:05 PM
This revision now requires changes to proceed.Mar 24 2017, 10:05 PM
jdef updated this revision to Diff 2390.Mar 24 2017, 10:06 PM
jenkins requested changes to this revision.Mar 24 2017, 10:07 PM
This revision now requires changes to proceed.Mar 24 2017, 10:07 PM
jenkins accepted this revision.Mar 24 2017, 10:31 PM

Ship it!

aquamatthias accepted this revision.Mar 27 2017, 3:26 PM

Thanks!

changelog.md
5

No - you are right.

jdef updated this revision to Diff 2401.Mar 27 2017, 4:48 PM
jenkins requested changes to this revision.Mar 27 2017, 4:48 PM
This revision now requires changes to proceed.Mar 27 2017, 4:48 PM
jenkins accepted this revision.Mar 27 2017, 5:17 PM

Thanks.

NNFRR (no need for re-review)

changelog.md
7

Marathon will continue to accept the application json as it did in 1.4; however, applications that use deprecated fields will be normalized into a canonical representation.

31

note about including the default networking name or migration will fail?

32

We automatically backup.

sascala accepted this revision.Mar 28 2017, 11:20 PM

LGTM!

This revision is now accepted and ready to land.Mar 28 2017, 11:20 PM
jdef updated this revision to Diff 2440.Mar 29 2017, 6:30 PM
jdef marked 3 inline comments as done.
  • 012a15d address additional feedback from jason
jdef added a comment.Mar 29 2017, 6:30 PM

addressed latest feedback from jason

jdef updated this revision to Diff 2441.Mar 29 2017, 6:41 PM

rebase to master

jenkins requested changes to this revision.Mar 29 2017, 6:41 PM
This revision now requires changes to proceed.Mar 29 2017, 6:41 PM
jenkins accepted this revision.Mar 29 2017, 9:40 PM

Ship it!

This revision is now accepted and ready to land.Mar 29 2017, 9:40 PM
This revision was automatically updated to reflect the committed changes.